unit uHomeForm1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Gestures,
  FMX.Controls.Presentation, FMX.StdCtrls, System.ImageList,
  FMX.ImgList, FMX.Effects, FMX.Filter.Effects, FMX.Layouts, FMX.Objects,
  FMX.TabControl;

type
  TForm1Home = class(TForm)
    VaporStyleBook: TStyleBook;
    BackgroundImage: TImage;
    BackgroundRect: TRectangle;
    VertScrollBox1: TVertScrollBox;
    HeaderLayout: TLayout;
    HeaderText: TText;
    MenuGridPanelLayout: TGridPanelLayout;
    MenuLayout1: TLayout;
    CheckInRectBTN: TRectangle;
    CheckInLayout: TLayout;
    CheckInLabel: TLabel;
    MenuLayout2: TLayout;
    ClassRectBTN: TRectangle;
    ClassLayout: TLayout;
    ClassImage: TImage;
    FillRGBEffect2: TFillRGBEffect;
    ClassLabel: TLabel;
    UpperVertRect: TRectangle;
    MenuLayout3: TLayout;
    TrainingRectBTN: TRectangle;
    TrainingLayout: TLayout;
    TrainingImage: TImage;
    FillRGBEffect3: TFillRGBEffect;
    TrainingLabel: TLabel;
    LowerLeftRect: TRectangle;
    UpperLeftRect: TRectangle;
    MenuLayout4: TLayout;
    SearchRectBTN: TRectangle;
    SearchLayout: TLayout;
    SearchImage: TImage;
    FillRGBEffect4: TFillRGBEffect;
    SearchLabel: TLabel;
    UpperRightRect: TRectangle;
    LowerRightRect: TRectangle;
    MiddleVertRect: TRectangle;
    MenuLayout5: TLayout;
    ClubsRectBTN: TRectangle;
    ClubsLayout: TLayout;
    ClubsImage: TImage;
    FillRGBEffect5: TFillRGBEffect;
    ClubsLabel: TLabel;
    LowerVertRect: TRectangle;
    MenuLayout6: TLayout;
    InviteRectBTN: TRectangle;
    InviteLayout: TLayout;
    InviteImage: TImage;
    FillRGBEffect6: TFillRGBEffect;
    InviteLabel: TLabel;
    Image1: TImage;
    FillRGBEffect1: TFillRGBEffect;
    procedure Image1Click(Sender: TObject);
    procedure ClassImageClick(Sender: TObject);
    procedure TrainingImageClick(Sender: TObject);
    procedure SearchImageClick(Sender: TObject);
    procedure ClubsImageClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1Home: TForm1Home;

implementation

{$R *.fmx}

uses MainFrm, MainFrmCompras, MainFrmVendas, MainFrmEstoque, MainFrmFinanceiro;

procedure TForm1Home.ClassImageClick(Sender: TObject);
begin
{$IFDEF ANDROID}
  FormMainCompras.Show;
{$ELSE}
  FormMainCompras.ShowModal;
{$ENDIF}
end;

procedure TForm1Home.ClubsImageClick(Sender: TObject);
begin
{$IFDEF MSWINDOWS}
  FormMainFinanceiro.ShowModal;
{$ELSE}
  FormMainFinanceiro.Show;
{$ENDIF}
end;

procedure TForm1Home.Image1Click(Sender: TObject);
begin
{$IFDEF MSWINDOWS}
  MainForm.ShowModal;
{$ELSE}
  MainForm.Show;
{$ENDIF}
end;


procedure TForm1Home.SearchImageClick(Sender: TObject);
begin
{$IFDEF MSWINDOWS}
  FormMainEstoque.ShowModal;
{$ELSE}
  FormMainEstoque.Show;
{$ENDIF}
end;

procedure TForm1Home.TrainingImageClick(Sender: TObject);
begin
{$IFDEF MSWINDOWS}
  FormMainVendas.ShowModal;
{$ELSE}
  FormMainVendas.Show;
{$ENDIF}
end;

end.
